curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/members/{memberId}/points-expiration \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "lopb_ERSwDxeWTlvWwFrn3AtJxt3s",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 2
},
"status": "ACTIVE",
"expires_at": "2022-11-25",
"created_at": "2022-11-25T09:10:20.994Z",
"object": "loyalty_points_bucket"
},
{
"id": "lopb_zdeIBq3EsnPnRSDa7Tyyb6X2",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 12
},
"status": "ACTIVE",
"expires_at": "2022-11-30",
"created_at": "2022-11-21T13:49:54.949Z",
"object": "loyalty_points_bucket"
},
{
"id": "lopb_Mg80vhZtqHFItWlJFYZ2rJAS",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 0
},
"status": "ACTIVE",
"expires_at": "2023-05-30",
"created_at": "2022-06-09T11:07:07.344Z",
"updated_at": "2022-08-30T08:34:45.989Z",
"object": "loyalty_points_bucket"
},
{
"id": "lopb_dQE1TwyTkHAJDlVCPlqSC0nu",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 13124
},
"status": "ACTIVE",
"created_at": "2022-02-28T12:13:57.749Z",
"updated_at": "2022-11-25T09:09:51.136Z",
"object": "loyalty_points_bucket"
}
],
"total": 4
}Retrieve loyalty point expiration buckets for a given loyalty card. Expired point buckets are not returned in this endpoint. You can use the Exports API to retrieve a list of both ACTIVE and EXPIRED point buckets.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/members/{memberId}/points-expiration \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "lopb_ERSwDxeWTlvWwFrn3AtJxt3s",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 2
},
"status": "ACTIVE",
"expires_at": "2022-11-25",
"created_at": "2022-11-25T09:10:20.994Z",
"object": "loyalty_points_bucket"
},
{
"id": "lopb_zdeIBq3EsnPnRSDa7Tyyb6X2",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 12
},
"status": "ACTIVE",
"expires_at": "2022-11-30",
"created_at": "2022-11-21T13:49:54.949Z",
"object": "loyalty_points_bucket"
},
{
"id": "lopb_Mg80vhZtqHFItWlJFYZ2rJAS",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 0
},
"status": "ACTIVE",
"expires_at": "2023-05-30",
"created_at": "2022-06-09T11:07:07.344Z",
"updated_at": "2022-08-30T08:34:45.989Z",
"object": "loyalty_points_bucket"
},
{
"id": "lopb_dQE1TwyTkHAJDlVCPlqSC0nu",
"voucher_id": "v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF",
"campaign_id": "camp_7s3uXI44aKfIk5IhmeOPr6ic",
"bucket": {
"total_points": 13124
},
"status": "ACTIVE",
"created_at": "2022-02-28T12:13:57.749Z",
"updated_at": "2022-11-25T09:09:51.136Z",
"object": "loyalty_points_bucket"
}
],
"total": 4
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The campaign ID or name of the loyalty campaign. You can either pass the campaign ID, which was assigned by Voucherify, or the name of the campaign as the path parameter value, e.g., Loyalty%20Campaign.
"camp_rRsfatlwN7unSeUIJDCYedal"
Loyalty card code.
"MmFAzfDe"
Query Parameters
Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.
1 <= x <= 100Which page of results to return. The lowest value is 1.
1 <= x <= 100Response
Returns a list of loyalty points expiration buckets along with an expiration date if the points are due to expire. No expiration date parameter is returned if the loyalty points bucket does not expire.
Response body schema for GET v1/loyalties/{campaignId}/members/{memberId}/points-expiration.
The type of the object represented by JSON. This object stores information about loyalty points expiration buckets in a dictionary.
list listIdentifies the name of the attribute that contains the array of loyalty points expiration bucket objects.
data dataContains array of loyalty points expiration buckets.
Show child attributes
Show child attributes
Total number of point expiration buckets.
Was this page helpful?

